Bug 1245994 - Review Request: nodejs-pinkie-promise - Promise ponyfill with pinkie
Summary: Review Request: nodejs-pinkie-promise - Promise ponyfill with pinkie
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1244411
Blocks: nodejs-reviews 1246749
TreeView+ depends on / blocked
 
Reported: 2015-07-23 09:25 UTC by Parag Nemade
Modified: 2015-08-07 12:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-07 12:40:47 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Piotr Popieluch 2015-07-24 14:13:25 UTC
Looks fine. Only comment is that the test.js is included in %files section (also in nodejs-pinkie module). That should not be an issue but not sure if you included it on purpose.

APPROVED



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1245994-nodejs-pinkie-
     promise/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/node_modules/pinkie-
     promise(languages, langpacks:, enabled, are, No),
     /usr/lib/node_modules/pinkie-promise/node_modules(languages,
     langpacks:, enabled, are, No), /usr/share/licenses/nodejs-pinkie-
     promise(languages, langpacks:, enabled, are, No), /usr/share/doc
     /nodejs-pinkie-promise(languages, langpacks:, enabled, are, No)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-pinkie-promise-1.0.0-1.fc24.noarch.rpm
          nodejs-pinkie-promise-1.0.0-1.fc24.src.rpm
nodejs-pinkie-promise.noarch: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-pinkie-promise.noarch: W: spelling-error %description -l en_US ponyfill -> pony fill, pony-fill, ponytail
nodejs-pinkie-promise.noarch: W: only-non-binary-in-usr-lib
nodejs-pinkie-promise.noarch: W: dangling-symlink /usr/lib/node_modules/pinkie-promise/node_modules/pinkie /usr/lib/node_modules/pinkie
nodejs-pinkie-promise.src: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-pinkie-promise.src: W: spelling-error %description -l en_US ponyfill -> pony fill, pony-fill, ponytail
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-pinkie-promise.noarch: W: only-non-binary-in-usr-lib
nodejs-pinkie-promise.noarch: W: dangling-symlink /usr/lib/node_modules/pinkie-promise/node_modules/pinkie /usr/lib/node_modules/pinkie
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-pinkie-promise (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(pinkie)



Provides
--------
nodejs-pinkie-promise:
    nodejs-pinkie-promise
    npm(pinkie-promise)



Source checksums
----------------
https://github.com/floatdrop/pinkie-promise/archive/ae764482353d0b2b64685686cf49eefeb44a862e.tar.gz#/pinkie-promise-ae76448.tar.gz :
  CHECKSUM(SHA256) this package     : aad02b7d8c5d05ea74f3a74457a6bac037cff65ea509d1fe39c2a3b72ee26fa2
  CHECKSUM(SHA256) upstream package : aad02b7d8c5d05ea74f3a74457a6bac037cff65ea509d1fe39c2a3b72ee26fa2


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1245994
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Parag Nemade 2015-07-24 14:56:16 UTC
Thanks for catching that. I used "*.js" in %install which picked all js files and included in %files. I will make it verbose and remove test.js file.

Thanks for this package review.

New Package SCM Request
=======================
Package Name: nodejs-pinkie-promise
Short Description: Promise ponyfill with pinkie
Upstream URL: https://github.com/floatdrop/pinkie-promise
Owners: pnemade
Branches: f21 f22 f23

Comment 3 Gwyn Ciesla 2015-07-24 15:39:22 UTC
Git done (by process-git-requests).

Comment 4 Parag Nemade 2015-08-07 12:40:47 UTC
built in rawhide


Note You need to log in before you can comment on or make changes to this bug.